org.eclipse.ease.ui.scripts.repository

## Interface IRepositoryPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

    public interface IRepositoryPackage
    extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

See Also:
  `IRepositoryFactory`

### Nested Class Summary

Nested Classes
`static interface` `IRepositoryPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

### Field Summary

Fields
`static IRepositoryPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `INPUT_STREAM` The meta object id for the 'Input Stream' data type.
`static int` `KEYWORD_MAP` The meta object id for the '`Keyword Map`' class.
`static int` `KEYWORD_MAP__KEY` The feature id for the 'Key' attribute.
`static int` `KEYWORD_MAP__VALUE` The feature id for the 'Value' attribute.
`static int` `KEYWORD_MAP_FEATURE_COUNT` The number of structural features of the 'Keyword Map' class.
`static int` `KEYWORD_MAP_OPERATION_COUNT` The number of operations of the 'Keyword Map' class.
`static int` `PATH` The meta object id for the 'Path' data type.
`static int` `RAW_LOCATION` The meta object id for the ' `Raw Location`' class.
`static int` `RAW_LOCATION___GET_INPUT_STREAM` The operation id for the 'Get Input Stream' operation.
`static int` `RAW_LOCATION___GET_RESOURCE` The operation id for the 'Get Resource' operation.
`static int` `RAW_LOCATION__LOCATION` The feature id for the 'Location' attribute.
`static int` `RAW_LOCATION__UPDATE_PENDING` The feature id for the 'Update Pending' attribute.
`static int` `RAW_LOCATION_FEATURE_COUNT` The number of structural features of the 'Raw Location' class.
`static int` `RAW_LOCATION_OPERATION_COUNT` The number of operations of the 'Raw Location' class.
`static int` `SCRIPT` The meta object id for the '`Script`' class.
`static int` `SCRIPT___GET_INPUT_STREAM` The operation id for the 'Get Input Stream' operation.
`static int` `SCRIPT___GET_NAME` The operation id for the 'Get Name' operation.
`static int` `SCRIPT___GET_PATH` The operation id for the 'Get Path' operation.
`static int` `SCRIPT___GET_RESOURCE` The operation id for the 'Get Resource' operation.
`static int` `SCRIPT___RUN` The operation id for the 'Run' operation.
`static int` `SCRIPT__ENTRY` The feature id for the 'Entry' container reference.
`static int` `SCRIPT__LOCATION` The feature id for the 'Location' attribute.
`static int` `SCRIPT__SCRIPT_KEYWORDS` The feature id for the 'Script Keywords' map.
`static int` `SCRIPT__TIMESTAMP` The feature id for the 'Timestamp' attribute.
`static int` `SCRIPT__UPDATE_PENDING` The feature id for the 'Update Pending' attribute.
`static int` `SCRIPT__USER_KEYWORDS` The feature id for the 'User Keywords' map.
`static int` `SCRIPT_FEATURE_COUNT` The number of structural features of the 'Script' class.
`static int` `SCRIPT_LOCATION` The meta object id for the '`Script Location`' class.
`static int` `SCRIPT_LOCATION___GET_INPUT_STREAM` The operation id for the 'Get Input Stream' operation.
`static int` `SCRIPT_LOCATION___GET_RESOURCE` The operation id for the 'Get Resource' operation.
`static int` `SCRIPT_LOCATION__DEFAULT` The feature id for the 'Default' attribute.
`static int` `SCRIPT_LOCATION__LOCATION` The feature id for the 'Location' attribute.
`static int` `SCRIPT_LOCATION__RECURSIVE` The feature id for the 'Recursive' attribute.
`static int` `SCRIPT_LOCATION__SCRIPTS` The feature id for the 'Scripts' containment reference list.
`static int` `SCRIPT_LOCATION__UPDATE_PENDING` The feature id for the 'Update Pending' attribute.
`static int` `SCRIPT_LOCATION_FEATURE_COUNT` The number of structural features of the 'Script Location' class.
`static int` `SCRIPT_LOCATION_OPERATION_COUNT` The number of operations of the 'Script Location' class.
`static int` `SCRIPT_OPERATION_COUNT` The number of operations of the 'Script' class.
`static int` `STORAGE` The meta object id for the '`Storage`' class.
`static int` `STORAGE__ENTRIES` The feature id for the 'Entries' containment reference list.
`static int` `STORAGE_FEATURE_COUNT` The number of structural features of the 'Storage' class.
`static int` `STORAGE_OPERATION_COUNT` The number of operations of the 'Storage' class.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.ecore.EDataType` `getInputStream()` Returns the meta object for data type '`Input Stream`'.
`org.eclipse.emf.ecore.EAttribute` `getKeywordMap_Key()` Returns the meta object for the attribute '`Key`'.
`org.eclipse.emf.ecore.EAttribute` `getKeywordMap_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` `getKeywordMap()` Returns the meta object for class '`Keyword Map`'.
`org.eclipse.emf.ecore.EDataType` `getPath()` Returns the meta object for data type ' `Path`'.
`org.eclipse.emf.ecore.EOperation` `getRawLocation__GetInputStream()` Returns the meta object for the '`Get Input Stream`' operation.
`org.eclipse.emf.ecore.EOperation` `getRawLocation__GetResource()` Returns the meta object for the '`Get Resource`' operation.
`org.eclipse.emf.ecore.EAttribute` `getRawLocation_Location()` Returns the meta object for the attribute '`Location`'.
`org.eclipse.emf.ecore.EAttribute` `getRawLocation_UpdatePending()` Returns the meta object for the attribute '`Update Pending`'.
`org.eclipse.emf.ecore.EClass` `getRawLocation()` Returns the meta object for class '`Raw Location`'.
`IRepositoryFactory` `getRepositoryFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EOperation` `getScript__GetName()` Returns the meta object for the ' `Get Name`' operation.
`org.eclipse.emf.ecore.EOperation` `getScript__GetPath()` Returns the meta object for the ' `Get Path`' operation.
`org.eclipse.emf.ecore.EOperation` `getScript__Run()` Returns the meta object for the '`Run`' operation.
`org.eclipse.emf.ecore.EReference` `getScript_Entry()` Returns the meta object for the container reference '`Entry`'.
`org.eclipse.emf.ecore.EReference` `getScript_ScriptKeywords()` Returns the meta object for the map '`Script Keywords`'.
`org.eclipse.emf.ecore.EAttribute` `getScript_Timestamp()` Returns the meta object for the attribute '`Timestamp`'.
`org.eclipse.emf.ecore.EReference` `getScript_UserKeywords()` Returns the meta object for the map '`User Keywords`'.
`org.eclipse.emf.ecore.EClass` `getScript()` Returns the meta object for class '`Script`'.
`org.eclipse.emf.ecore.EAttribute` `getScriptLocation_Default()` Returns the meta object for the attribute '`Default`'.
`org.eclipse.emf.ecore.EAttribute` `getScriptLocation_Recursive()` Returns the meta object for the attribute '`Recursive`'.
`org.eclipse.emf.ecore.EReference` `getScriptLocation_Scripts()` Returns the meta object for the containment reference list '`Scripts`'.
`org.eclipse.emf.ecore.EClass` `getScriptLocation()` Returns the meta object for class '`Script Location`'.
`org.eclipse.emf.ecore.EReference` `getStorage_Entries()` Returns the meta object for the containment reference list '`Entries`'.
`org.eclipse.emf.ecore.EClass` `getStorage()` Returns the meta object for class '`Storage`'.

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values

#### eINSTANCE

    static final IRepositoryPackage eINSTANCE

The singleton instance of the package.

#### RAW_LOCATION

    static final int RAW_LOCATION

The meta object id for the ' `Raw Location`' class.

See Also:
  `RawLocationImpl`, `RepositoryPackageImpl.getRawLocation()`, Constant Field Values

#### RAW_LOCATION__LOCATION

    static final int RAW_LOCATION__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### RAW_LOCATION__UPDATE_PENDING

    static final int RAW_LOCATION__UPDATE_PENDING

The feature id for the 'Update Pending' attribute.

See Also:
  Constant Field Values

#### RAW_LOCATION_FEATURE_COUNT

    static final int RAW_LOCATION_FEATURE_COUNT

The number of structural features of the 'Raw Location' class.

See Also:
  Constant Field Values

#### RAW_LOCATION___GET_RESOURCE

    static final int RAW_LOCATION___GET_RESOURCE

The operation id for the 'Get Resource' operation.

See Also:
  Constant Field Values

#### RAW_LOCATION___GET_INPUT_STREAM

    static final int RAW_LOCATION___GET_INPUT_STREAM

The operation id for the 'Get Input Stream' operation.

See Also:
  Constant Field Values

#### RAW_LOCATION_OPERATION_COUNT

    static final int RAW_LOCATION_OPERATION_COUNT

The number of operations of the 'Raw Location' class.

See Also:
  Constant Field Values

#### SCRIPT

    static final int SCRIPT

The meta object id for the '`Script`' class.

See Also:
  `ScriptImpl`, `RepositoryPackageImpl.getScript()`, Constant Field Values

#### SCRIPT__LOCATION

    static final int SCRIPT__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### SCRIPT__UPDATE_PENDING

    static final int SCRIPT__UPDATE_PENDING

The feature id for the 'Update Pending' attribute.

See Also:
  Constant Field Values

#### SCRIPT__TIMESTAMP

    static final int SCRIPT__TIMESTAMP

The feature id for the 'Timestamp' attribute.

See Also:
  Constant Field Values

#### SCRIPT__ENTRY

    static final int SCRIPT__ENTRY

The feature id for the 'Entry' container reference.

See Also:
  Constant Field Values

#### SCRIPT__SCRIPT_KEYWORDS

    static final int SCRIPT__SCRIPT_KEYWORDS

The feature id for the 'Script Keywords' map.

See Also:
  Constant Field Values

#### SCRIPT__USER_KEYWORDS

    static final int SCRIPT__USER_KEYWORDS

The feature id for the 'User Keywords' map.

See Also:
  Constant Field Values

#### SCRIPT_FEATURE_COUNT

    static final int SCRIPT_FEATURE_COUNT

The number of structural features of the 'Script' class.

See Also:
  Constant Field Values

#### SCRIPT___GET_RESOURCE

    static final int SCRIPT___GET_RESOURCE

The operation id for the 'Get Resource' operation.

See Also:
  Constant Field Values

#### SCRIPT___GET_INPUT_STREAM

    static final int SCRIPT___GET_INPUT_STREAM

The operation id for the 'Get Input Stream' operation.

See Also:
  Constant Field Values

#### SCRIPT___RUN

    static final int SCRIPT___RUN

The operation id for the 'Run' operation.

See Also:
  Constant Field Values

#### SCRIPT___GET_NAME

    static final int SCRIPT___GET_NAME

The operation id for the 'Get Name' operation.

See Also:
  Constant Field Values

#### SCRIPT___GET_PATH

    static final int SCRIPT___GET_PATH

The operation id for the 'Get Path' operation.

See Also:
  Constant Field Values

#### SCRIPT_OPERATION_COUNT

    static final int SCRIPT_OPERATION_COUNT

The number of operations of the 'Script' class.

See Also:
  Constant Field Values

#### STORAGE

    static final int STORAGE

The meta object id for the '`Storage`' class.

See Also:
  `StorageImpl`, `RepositoryPackageImpl.getStorage()`, Constant Field Values

#### STORAGE__ENTRIES

    static final int STORAGE__ENTRIES

The feature id for the 'Entries' containment reference list.

See Also:
  Constant Field Values

#### STORAGE_FEATURE_COUNT

    static final int STORAGE_FEATURE_COUNT

The number of structural features of the 'Storage' class.

See Also:
  Constant Field Values

#### STORAGE_OPERATION_COUNT

    static final int STORAGE_OPERATION_COUNT

The number of operations of the 'Storage' class.

See Also:
  Constant Field Values

#### SCRIPT_LOCATION

    static final int SCRIPT_LOCATION

The meta object id for the '`Script Location`' class.

See Also:
  `ScriptLocationImpl`, `RepositoryPackageImpl.getScriptLocation()`, Constant Field Values

#### SCRIPT_LOCATION__LOCATION

    static final int SCRIPT_LOCATION__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### SCRIPT_LOCATION__UPDATE_PENDING

    static final int SCRIPT_LOCATION__UPDATE_PENDING

The feature id for the 'Update Pending' attribute.

See Also:
  Constant Field Values

#### SCRIPT_LOCATION__RECURSIVE

    static final int SCRIPT_LOCATION__RECURSIVE

The feature id for the 'Recursive' attribute.

See Also:
  Constant Field Values

#### SCRIPT_LOCATION__DEFAULT

    static final int SCRIPT_LOCATION__DEFAULT

The feature id for the 'Default' attribute.

See Also:
  Constant Field Values

#### SCRIPT_LOCATION__SCRIPTS

    static final int SCRIPT_LOCATION__SCRIPTS

The feature id for the 'Scripts' containment reference list.

See Also:
  Constant Field Values

#### SCRIPT_LOCATION_FEATURE_COUNT

    static final int SCRIPT_LOCATION_FEATURE_COUNT

The number of structural features of the 'Script Location' class.

See Also:
  Constant Field Values

#### SCRIPT_LOCATION___GET_RESOURCE

    static final int SCRIPT_LOCATION___GET_RESOURCE

The operation id for the 'Get Resource' operation.

See Also:
  Constant Field Values

#### SCRIPT_LOCATION___GET_INPUT_STREAM

    static final int SCRIPT_LOCATION___GET_INPUT_STREAM

The operation id for the 'Get Input Stream' operation.

See Also:
  Constant Field Values

#### SCRIPT_LOCATION_OPERATION_COUNT

    static final int SCRIPT_LOCATION_OPERATION_COUNT

The number of operations of the 'Script Location' class.

See Also:
  Constant Field Values

#### KEYWORD_MAP

    static final int KEYWORD_MAP

The meta object id for the '`Keyword Map`' class.

See Also:
  `KeywordMapImpl`, `RepositoryPackageImpl.getKeywordMap()`, Constant Field Values

#### KEYWORD_MAP__KEY

    static final int KEYWORD_MAP__KEY

The feature id for the 'Key' attribute.

See Also:
  Constant Field Values

#### KEYWORD_MAP__VALUE

    static final int KEYWORD_MAP__VALUE

The feature id for the 'Value' attribute.

See Also:
  Constant Field Values

#### KEYWORD_MAP_FEATURE_COUNT

    static final int KEYWORD_MAP_FEATURE_COUNT

The number of structural features of the 'Keyword Map' class.

See Also:
  Constant Field Values

#### KEYWORD_MAP_OPERATION_COUNT

    static final int KEYWORD_MAP_OPERATION_COUNT

The number of operations of the 'Keyword Map' class.

See Also:
  Constant Field Values

#### PATH

    static final int PATH

The meta object id for the 'Path' data type.

See Also:
  `IPath`, `RepositoryPackageImpl.getPath()`, Constant Field Values

#### INPUT_STREAM

    static final int INPUT_STREAM

The meta object id for the 'Input Stream' data type.

See Also:
  `InputStream`, `RepositoryPackageImpl.getInputStream()`, Constant Field Values

### Method Detail

#### getScript

    org.eclipse.emf.ecore.EClass getScript()

Returns the meta object for class '`Script`'.

Returns:
  the meta object for class 'Script'.
See Also:
  `IScript`

#### getScript_Timestamp

    org.eclipse.emf.ecore.EAttribute getScript_Timestamp()

Returns the meta object for the attribute '`Timestamp`'.

Returns:
  the meta object for the attribute 'Timestamp'.
See Also:
  `IScript.getTimestamp()`, `getScript()`

#### getScript_Entry

    org.eclipse.emf.ecore.EReference getScript_Entry()

Returns the meta object for the container reference '`Entry`'.

Returns:
  the meta object for the container reference 'Entry'.
See Also:
  `IScript.getEntry()`, `getScript()`

#### getScript_ScriptKeywords

    org.eclipse.emf.ecore.EReference getScript_ScriptKeywords()

Returns the meta object for the map '`Script Keywords`'.

Returns:
  the meta object for the map 'Script Keywords'.
See Also:
  `IScript.getScriptKeywords()`, `getScript()`

#### getScript_UserKeywords

    org.eclipse.emf.ecore.EReference getScript_UserKeywords()

Returns the meta object for the map '`User Keywords`'.

Returns:
  the meta object for the map 'User Keywords'.
See Also:
  `IScript.getUserKeywords()`, `getScript()`

#### getScript__Run

    org.eclipse.emf.ecore.EOperation getScript__Run()

Returns the meta object for the '`Run`' operation.

Returns:
  the meta object for the 'Run' operation.
See Also:
  `IScript.run()`

#### getScript__GetName

    org.eclipse.emf.ecore.EOperation getScript__GetName()

Returns the meta object for the ' `Get Name`' operation.

Returns:
  the meta object for the 'Get Name' operation.
See Also:
  `IScript.getName()`

#### getScript__GetPath

    org.eclipse.emf.ecore.EOperation getScript__GetPath()

Returns the meta object for the ' `Get Path`' operation.

Returns:
  the meta object for the 'Get Path' operation.
See Also:
  `IScript.getPath()`

#### getRawLocation

    org.eclipse.emf.ecore.EClass getRawLocation()

Returns the meta object for class '`Raw Location`'.

Returns:
  the meta object for class 'Raw Location'.
See Also:
  `IRawLocation`

#### getRawLocation_Location

    org.eclipse.emf.ecore.EAttribute getRawLocation_Location()

Returns the meta object for the attribute '`Location`'.

Returns:
  the meta object for the attribute 'Location'.
See Also:
  `IRawLocation.getLocation()`, `getRawLocation()`

#### getRawLocation_UpdatePending

    org.eclipse.emf.ecore.EAttribute getRawLocation_UpdatePending()

Returns the meta object for the attribute '`Update Pending`'.

Returns:
  the meta object for the attribute 'Update Pending'.
See Also:
  `IRawLocation.isUpdatePending()`, `getRawLocation()`

#### getRawLocation__GetResource

    org.eclipse.emf.ecore.EOperation getRawLocation__GetResource()

Returns the meta object for the '`Get Resource`' operation.

Returns:
  the meta object for the 'Get Resource' operation.
See Also:
  `IRawLocation.getResource()`

#### getRawLocation__GetInputStream

    org.eclipse.emf.ecore.EOperation getRawLocation__GetInputStream()

Returns the meta object for the '`Get Input Stream`' operation.

Returns:
  the meta object for the 'Get Input Stream' operation.
See Also:
  `IRawLocation.getInputStream()`

#### getStorage

    org.eclipse.emf.ecore.EClass getStorage()

Returns the meta object for class '`Storage`'.

Returns:
  the meta object for class 'Storage'.
See Also:
  `IStorage`

#### getStorage_Entries

    org.eclipse.emf.ecore.EReference getStorage_Entries()

Returns the meta object for the containment reference list '`Entries`'.

Returns:
  the meta object for the containment reference list 'Entries'.
See Also:
  `IStorage.getEntries()`, `getStorage()`

#### getScriptLocation

    org.eclipse.emf.ecore.EClass getScriptLocation()

Returns the meta object for class '`Script Location`'.

Returns:
  the meta object for class 'Script Location'.
See Also:
  `IScriptLocation`

#### getScriptLocation_Recursive

    org.eclipse.emf.ecore.EAttribute getScriptLocation_Recursive()

Returns the meta object for the attribute '`Recursive`'.

Returns:
  the meta object for the attribute 'Recursive'.
See Also:
  `IScriptLocation.isRecursive()`, `getScriptLocation()`

#### getScriptLocation_Default

    org.eclipse.emf.ecore.EAttribute getScriptLocation_Default()

Returns the meta object for the attribute '`Default`'.

Returns:
  the meta object for the attribute 'Default'.
See Also:
  `IScriptLocation.isDefault()`, `getScriptLocation()`

#### getScriptLocation_Scripts

    org.eclipse.emf.ecore.EReference getScriptLocation_Scripts()

Returns the meta object for the containment reference list '`Scripts`'.

Returns:
  the meta object for the containment reference list 'Scripts'.
See Also:
  `IScriptLocation.getScripts()`, `getScriptLocation()`

#### getKeywordMap

    org.eclipse.emf.ecore.EClass getKeywordMap()

Returns the meta object for class '`Keyword Map`'.

Returns:
  the meta object for class 'Keyword Map'.
See Also:
  `Map.Entry`

#### getKeywordMap_Key

    org.eclipse.emf.ecore.EAttribute getKeywordMap_Key()

Returns the meta object for the attribute '`Key`'.

Returns:
  the meta object for the attribute 'Key'.
See Also:
  `Map.Entry`, `getKeywordMap()`

#### getKeywordMap_Value

    org.eclipse.emf.ecore.EAttribute getKeywordMap_Value()

Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  `Map.Entry`, `getKeywordMap()`

#### getPath

    org.eclipse.emf.ecore.EDataType getPath()

Returns the meta object for data type ' `Path`'.

Returns:
  the meta object for data type 'Path'.
See Also:
  `IPath`

#### getInputStream

    org.eclipse.emf.ecore.EDataType getInputStream()

Returns the meta object for data type '`Input Stream`'.

Returns:
  the meta object for data type 'Input Stream'.
See Also:
  `InputStream`

#### getRepositoryFactory

    IRepositoryFactory getRepositoryFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.